Skip to Content

Cancel File Processing

Cancel an ongoing file upload/processing

POST
/file/{file_id}/cancel

Cancel an ongoing file upload or processing job.

Path Parameter

  • file_id (string, required)

Example Request

cURL
curl -X POST "https://api.vidnavigator.com/v1/file/file_abc123/cancel" \
  -H "X-API-Key: YOUR_API_KEY"

Success Response (200 OK)

Returns a confirmation that the file processing has been cancelled.

{
  "status": "success",
  "data": {
    "file_id": "file_abc123",
    "file_name": "processing_video.mp4",
    "message": "File cancelled successfully"
  }
}

API reference

Authorization

ApiKeyAuth
headerX-API-Key<token>

API key authentication. Include your VidNavigator API key in the X-API-Key header.

Path Parameters

file_id*string

The ID of the file to cancel

Response Body

File cancelled successfully

application/json
  1. response
status?"success"
Value in"success"
data?
Example Request
curl -X POST 'https://api.vidnavigator.com/v1/file/string/cancel'
Example Response
{  "status": "success",  "data": {    "file_id": "string",    "file_name": "string",    "message": "string"  }}

On this page